require(["gitbook", "jQuery"], function(gitbook, $) {
  init();
  function init() {
    var $search = $("#book-search-input");
    $search.remove();
    var $book = $(".book");
    $book.prepend(
      "<div class='book-qt-header'>" +
        "<div class='header-left'>" +
        "<img src='../assets/qt_logo.svg' class='header-logo'/>" +
        "<div class='header-qt'>轻推</div>" +
        "<div class='header-qt-line'></div>" +
        "<div class='header-title'>开发文档</div>" +
        "</div>" +
        "</div>"
    );
    var keyword = getParam("q");
    if (keyword && keyword.length) {
      replaceResult();
    }
    $search.on("keyup", e => {
      replaceResult();
    });
    $search.find("input").attr("placeholder", "搜索");
    $search.append('<img class="search-icon" src="../assets/search.png" />');
    $book.find(".book-qt-header").append($search);
    $(".book-summary").css("top", "64px");
    $(".book-body").css("top", "64px");
    function replaceResult() {
      // $(".search-results-title").remove();
      var $title = $(".search-results-title");
      var count = $title.find(".search-results-count").text();
      var keyword = $title.find(".search-query").text();
      $title
        .html("")
        .append(
          '<span class="search-results-count">' +
            count +
            '</span> 个结果匹配 "<span class="search-query">' +
            keyword +
            '</span>"'
        );
    }
  }

  // 获取url中所有的参数
  function getParams(url) {
    var vars = {},
      hash,
      hashes,
      i;
    url = url || window.location.href;

    // 没有参数的情况
    if (url.indexOf("?") == -1) {
      return vars;
    }

    hashes = url.slice(url.indexOf("?") + 1).split("&");

    for (i = 0; i < hashes.length; i++) {
      if (!hashes[i] || hashes[i].indexOf("=") == -1) {
        continue;
      }
      hash = hashes[i].split("=");
      if (hash[1]) {
        vars[hash[0]] =
          hash[1].indexOf("#") != -1
            ? hash[1].slice(0, hash[1].indexOf("#"))
            : hash[1];
      }
    }
    return vars;
  }

  // 获取指定name的参数
  function getParam(name, url) {
    return getParams(url)[name];
  }
  gitbook.events.bind("page.change", function() {
    // init()
    init();
  });
});
